summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-05-23 21:14:33 +0000
committerJim Meyering <jim@meyering.net>2000-05-23 21:14:33 +0000
commit2aeb21d67ae9e8867189583e2b6a94551a04d696 (patch)
tree639d34a7067a00a5ee2c696bc99c1557788a8f95
parentdfdfbc22b38f765b3bff199619eaaf0385ef481c (diff)
downloadcoreutils-2aeb21d67ae9e8867189583e2b6a94551a04d696.tar.xz
Add traps to clean up.
Correct broken running-as-root test.
-rwxr-xr-xtests/shred/remove9
1 files changed, 6 insertions, 3 deletions
diff --git a/tests/shred/remove b/tests/shred/remove
index e8405d39a..70ded037d 100755
--- a/tests/shred/remove
+++ b/tests/shred/remove
@@ -6,7 +6,10 @@ if test "$VERBOSE" = yes; then
shred --version
fi
+pwd=`pwd`
tmp=t-shred.$$
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'exit $?' 1 2 13 15
# The length of the basename is what matters.
# In this case, shred would try to rename the file 256^10 times
@@ -16,16 +19,16 @@ file=$tmp/0123456789
framework_failure=0
mkdir $tmp || framework_failure=1
touch $file || framework_failure=1
-chmod u-w $tmp || framework_failure=1
+chmod u-w $file || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
exit 1
fi
-(echo foo >> $tmp/file) >/dev/null 2>&1 && {
+(echo foo >> $file) >/dev/null 2>&1 && {
echo '********************************************'
- echo 'NOTICE: This test case cannot be run as root.'
+ echo "$0: NOTICE: This test case cannot be run as root."
echo '********************************************'
exit 77
}